
Katello - Bug #28433

Content View "Last Published" time "Invalid Date" if User time zone is UTC

12/05/2019 05:13 PM - Ian Ballou

Status: New   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello Backlog   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

"Invalid Date" also pops up for Content Hosts' "Last Checkin" entries.

JS error:

[React Intl] Error formatting relative time.

RangeError: The date value provided to IntlRelativeFormat#format() is not in valid range. 

    in LongDateTime (created by I18nProviderWrapper(LongDateTime))

    in I18nProviderWrapper(LongDateTime) backend.js:6:2315

    r backend.js:6

    defaultErrorHandler index.es.js:518

    formatRelative index.es.js:741

    LongDateTime LongDateTime.js:10

    React 9

    unstable_runWithPriority scheduler.development.js:643

    React 6

    I18nProviderWrapper i18nProviderWrapperFactory.js:19

[React Intl] Error formatting date.

RangeError: date value is not finite in DateTimeFormat.format() 

    in FormattedDate (created by LongDateTime)

    in LongDateTime (created by I18nProviderWrapper(LongDateTime))

    in I18nProviderWrapper(LongDateTime) backend.js:6:2315

    r backend.js:6

    defaultErrorHandler index.es.js:518

    formatDate index.es.js:685

    render index.es.js:1097

    React 9

    unstable_runWithPriority scheduler.development.js:643

    React 6

    I18nProviderWrapper i18nProviderWrapperFactory.js:19

 Related merged PR: https://github.com/theforeman/foreman/pull/7067

History

#1 - 12/05/2019 05:13 PM - Ian Ballou

- Category set to Web UI

#2 - 12/11/2019 06:43 PM - James Jeffers

- Target version set to Katello Backlog

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 02/03/2020 09:10 AM - Ian Ballou
https://github.com/theforeman/foreman/pull/7067


This also appears on the Products page for the last synced time.  In Safari, the error pops up for any time zone.
